[SciPy-User] Trouble with numpy on OSX...

Russell E. Owen rowen@uw....
Tue Feb 28 14:14:31 CST 2012


In article 
<CAFZXy=dsp+S=+xS__hBBm6k597j-EoQWiUTmJY6FJCebK5HYpg@mail.gmail.com>,
 Anthony Palomba <apalomba@austin.rr.com> wrote:

> I am trying to get my scipy environment running on my mac.
> I have a MBP running OSX 10.7 with python2.7 (python.org)
> installed.
> 
> I installed scipy-0.10.0-py2.7-python.org-macosx10.3
> and numpy-1.6.1-py2.7-python.org-macosx10.3.
> 
> When I try to import multiarray, i get the following error...
> 
> ImportError:
> dlopen(/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-pa
> ckages/numpy/core/multiarray.so,
> 2): no suitable image found.  Did find:
> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/
> numpy/core/multiarray.so:
> no matching architecture in universal wrapper
> 
> Is there something I am missing?

Those packages require 32-bit python.org python (10.3 and later). My 
guess is that you are running 64-bit python.org python (10.6 and later).

Either install the 32-bit python available from:
<http://www.python.org/download/releases/2.7.2/>
The link is titled
Mac OS X 32-bit i386/PPC Installer (2.7.2) for Mac OS X 10.3 through 10.6

Or else use the 64-bit binary installers for numpy and scipy (labelled 
macosx10.6).

-- Russell



More information about the SciPy-User mailing list